path: /build/build/haproxy-net-proxy-2.9.13.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-device-atlas -libressl -lua -pcre-jit -pcre2 -pcre2-jit -slz pcre ssl tools zlib" emerge net-proxy/haproxy -pv -t && \
    USE="-device-atlas -libressl -lua -pcre-jit -pcre2 -pcre2-jit -slz pcre ssl tools zlib" emerge -j ${JOBS} --nodeps net-proxy/haproxy
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/haproxy && luet-portage --dir /pkgdir/haproxy
    net-proxy/haproxy && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree:0994ac350741e788ab977dd34651cc784e29102059ac7229921228182d577ed1
  package:
    name: haproxy
    version: 2.9.13
    category: net-proxy
    use_flags:
    - -device-atlas
    - -libressl
    - -lua
    - -pcre-jit
    - -pcre2
    - -pcre2-jit
    - -slz
    - pcre
    - ssl
    - tools
    - zlib
    requires:
    - name: macaroni-funtoo-race10
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: A TCP/HTTP reverse proxy for high availability environments
    uri:
    - http://www.haproxy.org
    license: GPL-2 LGPL-2.1
    buildtimestamp: 2025-01-07 12:13:13.010156703 +0000 UTC m=+111.374631295
    labels:
      BDEPEND: virtual/pkgconfig
      DEPEND: pcre? ( dev-libs/libpcre pcre-jit? ( dev-libs/libpcre[jit] ) ) tools?
        ( dev-libs/libevent ) pcre2? ( dev-libs/libpcre pcre2-jit? ( dev-libs/libpcre2[jit]
        ) ) ssl? ( dev-libs/openssl:0= libressl? ( dev-libs/libressl:0= ) ) slz? (
        dev-libs/libslz:= ) zlib? ( sys-libs/zlib ) lua? ( dev-lua/lua:5.3 ) device-atlas?
        ( dev-libs/device-atlas-api-c ) sys-apps/shadow
      IUSE: +crypt doc examples libressl slz +net_ns +pcre pcre-jit pcre2 pcre2-jit
        prometheus-exporter ssl systemd +threads tools vim-syntax +zlib lua device-atlas
        51degrees wurfl kernel_linux
      RDEPEND: pcre? ( dev-libs/libpcre pcre-jit? ( dev-libs/libpcre[jit] ) ) tools?
        ( dev-libs/libevent ) pcre2? ( dev-libs/libpcre pcre2-jit? ( dev-libs/libpcre2[jit]
        ) ) ssl? ( dev-libs/openssl:0= libressl? ( dev-libs/libressl:0= ) ) slz? (
        dev-libs/libslz:= ) zlib? ( sys-libs/zlib ) lua? ( dev-lua/lua:5.3 ) device-atlas?
        ( dev-libs/device-atlas-api-c )
      emerge.packages: net-proxy/haproxy
      kit: core-server-kit
      original.package.name: net-proxy/haproxy
      original.package.slot: "0"
      original.package.version: 2.9.13
    treedir: /build/packages
  package_dir: /pkgdir/haproxy
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 01bbeffc80d46b01e6e6a54b2b434a160f2b301bb070e3bf4777f714d9240f3b
compressiontype: zstd
files:
- etc/conf.d/haproxy
- etc/haproxy/errors/400.http
- etc/haproxy/errors/403.http
- etc/haproxy/errors/408.http
- etc/haproxy/errors/500.http
- etc/haproxy/errors/502.http
- etc/haproxy/errors/503.http
- etc/haproxy/errors/504.http
- etc/haproxy/errors/README
- etc/init.d/haproxy
- lib/systemd/system/haproxy.service
- usr/bin/halog
- usr/bin/haproxy
- usr/bin/haproxy_decode
- usr/bin/haproxy_flags
- usr/bin/haproxy_gen-enc
- usr/bin/haproxy_gen-rht
- usr/bin/haproxy_ip6range
- usr/bin/haproxy_iprange
- usr/bin/haproxy_tcploop
- usr/sbin/haproxy
- usr/share/doc/haproxy-2.9.13/CHANGELOG.bz2
- usr/share/doc/haproxy-2.9.13/CONTRIBUTING.bz2
- usr/share/doc/haproxy-2.9.13/MAINTAINERS.bz2
- usr/share/doc/haproxy-2.9.13/README.bz2
- usr/share/man/man1/haproxy.1.bz2
- var/db/pkg/net-proxy/haproxy-2.9.13/BDEPEND
- var/db/pkg/net-proxy/haproxy-2.9.13/BUILD_TIME
- var/db/pkg/net-proxy/haproxy-2.9.13/CATEGORY
- var/db/pkg/net-proxy/haproxy-2.9.13/CBUILD
- var/db/pkg/net-proxy/haproxy-2.9.13/CFLAGS
- var/db/pkg/net-proxy/haproxy-2.9.13/CHOST
- var/db/pkg/net-proxy/haproxy-2.9.13/CONTENTS
- var/db/pkg/net-proxy/haproxy-2.9.13/COUNTER
- var/db/pkg/net-proxy/haproxy-2.9.13/CTARGET
- var/db/pkg/net-proxy/haproxy-2.9.13/CXX
- var/db/pkg/net-proxy/haproxy-2.9.13/CXXFLAGS
- var/db/pkg/net-proxy/haproxy-2.9.13/DEFINED_PHASES
- var/db/pkg/net-proxy/haproxy-2.9.13/DEPEND
- var/db/pkg/net-proxy/haproxy-2.9.13/DESCRIPTION
- var/db/pkg/net-proxy/haproxy-2.9.13/EAPI
- var/db/pkg/net-proxy/haproxy-2.9.13/FEATURES
- var/db/pkg/net-proxy/haproxy-2.9.13/HOMEPAGE
- var/db/pkg/net-proxy/haproxy-2.9.13/INHERITED
- var/db/pkg/net-proxy/haproxy-2.9.13/IUSE
- var/db/pkg/net-proxy/haproxy-2.9.13/IUSE_EFFECTIVE
- var/db/pkg/net-proxy/haproxy-2.9.13/KEYWORDS
- var/db/pkg/net-proxy/haproxy-2.9.13/LDFLAGS
- var/db/pkg/net-proxy/haproxy-2.9.13/LICENSE
- var/db/pkg/net-proxy/haproxy-2.9.13/NEEDED
- var/db/pkg/net-proxy/haproxy-2.9.13/NEEDED.ELF.2
- var/db/pkg/net-proxy/haproxy-2.9.13/PF
- var/db/pkg/net-proxy/haproxy-2.9.13/RDEPEND
- var/db/pkg/net-proxy/haproxy-2.9.13/REQUIRES
- var/db/pkg/net-proxy/haproxy-2.9.13/SIZE
- var/db/pkg/net-proxy/haproxy-2.9.13/SLOT
- var/db/pkg/net-proxy/haproxy-2.9.13/USE
- var/db/pkg/net-proxy/haproxy-2.9.13/environment.bz2
- var/db/pkg/net-proxy/haproxy-2.9.13/haproxy-2.9.13.ebuild
- var/db/pkg/net-proxy/haproxy-2.9.13/repository
package_cacheimage: ""
runtime:
  name: haproxy
  version: 2.9.13
  category: net-proxy
  use_flags:
  - -device-atlas
  - -libressl
  - -lua
  - -pcre-jit
  - -pcre2
  - -pcre2-jit
  - -slz
  - pcre
  - ssl
  - tools
  - zlib
  requires:
  - name: libevent
    version: '>=0'
    category: dev-libs
  - name: libpcre
    version: '>=0'
    category: dev-libs-3
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: A TCP/HTTP reverse proxy for high availability environments
  uri:
  - http://www.haproxy.org
  license: GPL-2 LGPL-2.1
  labels:
    BDEPEND: virtual/pkgconfig
    DEPEND: pcre? ( dev-libs/libpcre pcre-jit? ( dev-libs/libpcre[jit] ) ) tools?
      ( dev-libs/libevent ) pcre2? ( dev-libs/libpcre pcre2-jit? ( dev-libs/libpcre2[jit]
      ) ) ssl? ( dev-libs/openssl:0= libressl? ( dev-libs/libressl:0= ) ) slz? ( dev-libs/libslz:=
      ) zlib? ( sys-libs/zlib ) lua? ( dev-lua/lua:5.3 ) device-atlas? ( dev-libs/device-atlas-api-c
      ) sys-apps/shadow
    IUSE: +crypt doc examples libressl slz +net_ns +pcre pcre-jit pcre2 pcre2-jit
      prometheus-exporter ssl systemd +threads tools vim-syntax +zlib lua device-atlas
      51degrees wurfl kernel_linux
    RDEPEND: pcre? ( dev-libs/libpcre pcre-jit? ( dev-libs/libpcre[jit] ) ) tools?
      ( dev-libs/libevent ) pcre2? ( dev-libs/libpcre pcre2-jit? ( dev-libs/libpcre2[jit]
      ) ) ssl? ( dev-libs/openssl:0= libressl? ( dev-libs/libressl:0= ) ) slz? ( dev-libs/libslz:=
      ) zlib? ( sys-libs/zlib ) lua? ( dev-lua/lua:5.3 ) device-atlas? ( dev-libs/device-atlas-api-c
      )
    emerge.packages: net-proxy/haproxy
    kit: core-server-kit
    original.package.name: net-proxy/haproxy
    original.package.slot: "0"
    original.package.version: 2.9.13
